GET /data/user/sequences/{sequence_id}/task-types

Retrieve task types related to a specific sequence for the current user.

Path parameters

  • sequence_id string(uuid) Required

    Sequence unique identifier

Responses

  • 200 application/json

    Task types related to given sequence for current user

    Hide response attributes Show response attributes object
    • id string(uuid)

      Task type unique identifier

    • name string

      Task type name

    • short_name string

      Task type short name

    • color string

      Task type color

    • priority integer

      Task type priority

    • for_entity string

      Entity type this task type applies to

    • created_at string(date-time)

      Creation timestamp

    • updated_at string(date-time)

      Last update timestamp

GET /data/user/sequences/{sequence_id}/task-types
curl -X GET "http://api.example.com/data/user/sequences/a24a6ea4-ce75-4665-a070-57453082c25/task-types" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/data/user/sequences/a24a6ea4-ce75-4665-a070-57453082c25/task-types"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {}
payload = None

response = requests.get(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
curl \
 --request GET 'http://api.example.com/data/user/sequences/a24a6ea4-ce75-4665-a070-57453082c25/task-types' \
 --header "Authorization: $API_KEY"
Response examples (200)
[
  {
    "id": "b35b7fb5-df86-5776-b181-68564193d36",
    "name": "Compositing",
    "short_name": "COMP",
    "color": "#FFFF00",
    "priority": 4,
    "for_entity": "Sequence",
    "created_at": "2023-01-01T12:00:00Z",
    "updated_at": "2023-01-01T12:30:00Z"
  }
]